#include <WiFi.h>
#include "ThingSpeak.h"
#include "secrets.h"
#include<stdlib.h>
 
#include "max6675.h"

const char *ssid =  "AndroidAP3DEC";     // replace with your wifi ssid and wpa2 key
const char *pass =  "electroniclinic";
int keyIndex = 0;            // your network key Index number (needed only for WEP)
WiFiClient  client;
int thermoDO = 15;
int thermoCS = 14;
int thermoCLK = 13;
MAX6675 thermocouple(thermoCLK, thermoCS, thermoDO);
unsigned long myChannelNumber = SECRET_CH_ID;
const char * myWriteAPIKey = SECRET_WRITE_APIKEY;


String myStatus = "";

void setup()
{

    Serial.begin(115200);

  Serial.println("Connecting to ");
  Serial.println(ssid);


  WiFi.begin(ssid, pass);

  while (WiFi.status() != WL_CONNECTED)
  {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi connected");

  ThingSpeak.begin(client);  // Initialize ThingSpeak
  
}

void loop()
{

 

 float temperature=thermocouple.readCelsius();

// set the fields with the values
 
  ThingSpeak.setField(1, temperature);



  Serial.println(temperature);
   
// set the status
  ThingSpeak.setStatus(myStatus);
  
  // write to the ThingSpeak channel
  int x = ThingSpeak.writeFields(myChannelNumber, myWriteAPIKey);
  if(x == 200){
    Serial.println("Channel update successful.");
  }
  else{
    Serial.println("Problem updating channel. HTTP error code " + String(x));
  }
  

  delay(20000); // Wait 20 seconds to update the channel again

}
